Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.datastore
Class TransactionOptions

    java.lang.Object
      com.google.appengine.api.datastore.TransactionOptions

    public final class TransactionOptions

extends java.lang.Object

Describes options for transactions, passed at transaction creation time.

`XG` is a boolean that enables or disables the use of cross-group transactions.

Notes on usage:
The recommended way to instantiate a `TransactionsOptions` object is to statically import `TransactionOptions.Builder`.* and invoke a static creation method followed by an instance mutator (if needed):

     import static com.google.appengine.api.datastore.TransactionOptions.Builder.*;

     ...

     datastoreService.beginTransaction(withXG(true));

Nested Class Summary
`static class` | `TransactionOptions.Builder` Contains static creation methods for `TransactionOptions`.

Method Summary
`java.lang.Boolean` | `allowsMultipleEntityGroups()` Deprecated.
`TransactionOptions` | `clearMultipleEntityGroups()` Deprecated.
`TransactionOptions` | `clearXG()` Return the cross-group transaction setting to default (disabled).
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `isXG()`
`TransactionOptions` | `multipleEntityGroups(boolean enable)` Deprecated.
`TransactionOptions` | `setXG(boolean enable)` Enable or disable the use of cross-group transactions.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### setXG

    public TransactionOptions setXG(boolean enable)

  Enable or disable the use of cross-group transactions.

  Parameters:
    `enable` - true to cross-group transactions, false to restrict transactions to a single entity group.
  Returns:
    `this` (for chaining)

### clearXG

    public TransactionOptions clearXG()

  Return the cross-group transaction setting to default (disabled).

### isXG

    public boolean isXG()

  Returns:
    `true` if cross-group transactions are allowed, `false` if they are not allowed.

### multipleEntityGroups

    @Deprecated
    public TransactionOptions multipleEntityGroups(boolean enable)

  Deprecated.

  See Also:
    `#setXG}.`

### clearMultipleEntityGroups

    @Deprecated
    public TransactionOptions clearMultipleEntityGroups()

  Deprecated.

  See Also:
    `#clearXG}.`

### allowsMultipleEntityGroups

    @Deprecated
    public java.lang.Boolean allowsMultipleEntityGroups()

  Deprecated.

  See Also:
    `#isXG}.`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD